<?xml version="1.0" encoding="UTF-8"?>
<configuration>

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <layout class="ch.qos.logback.classic.PatternLayout">
            <Pattern>
                [%date] [%thread] [%X{userId}] [%X{traceId}]:[%X{spanId}]:[%X{parentSpanId}] %-5level %logger.%M\(%class{0}.java:%line\) - %message %xException%n
            </Pattern>
        </layout>
    </appender>


    <root level="info">
        <appender-ref ref="STDOUT" />
    </root>

</configuration>
